cancel
Showing results for 
Search instead for 
Did you mean: 

Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/contain

Highlighted

Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/contain

Hi Guys,

 

I am upgrading magento 2.1.8 to 2.3.3 by command line it is showing below error when I run composer update command.

 

Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/contain

 

Any one let me know where i need to change to solve this problem.

 

Thanks

Sanjeev

4 REPLIES 4
Highlighted

Re: Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/con

Will you please check the vendor Folder the container-interop folder is available or not.

http://prntscr.com/q0eor9

 

If not, you can get it from https://github.com/Magestore/devops-magento-2.2.1/tree/master/vendor/container-interop/container-int... 

or also available from the new Magento Package 2.2.1.

Found something useful, "Kudos" and "Accept as Solution" for Token of Appreciation.

Magento Tutorials
Highlighted

Re: Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/con

theMageComp: container-interop folder is available still error is showing

Highlighted

Re: Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/con

Hello,

 

i have the same problem.

After using magento 1 for ten years,

 

i decided to start learning magento 2

 

I used composer to download the magento 2.

 

At the end i received the following errors.

 

Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/container instead.
Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested

 

I checked and the container-interop folder is available and i still get the error.

 

Any idea how to solve it ?

 

Highlighted

Re: Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/con

Hello

Did you get the solution?

Same problem with Magento 2.3

Thanks in advance